Skip to content
ReadyZone Docs
API Reference

Checkout page

Open ReadyZone checkout page for standard OM/MoMo payment.

GET https://pay.readyzone.space/checkout/{planId}?companyRef={companyRef}

Access : Public (ReadyZone web page)

Operator use case

“Pay via OM/Momo” button: redirect user to ReadyZone checkout to complete payment.

Parameters

  • planId (path, required, UUID string)
  • companyRef (query, recommended, string)

The portal builds the link with {{cloudBaseUrl}}:

{{cloudBaseUrl}}/checkout/{planId}?companyRef={companyRef}

Result

ReadyZone checkout page displayed with selected plan and full payment flow.

This is not a JSON response from the Core API: the browser is redirected to a Checkout web page.

Status codes

  • 200 OK
  • 400 Bad Request
  • 404 Not Found

On this page